## ECanvas

ECanvas

## Functions

void | (*ECanvasItemSelectionFunc) ()
GtkWidget * | e_canvas_new ()
void | e_canvas_item_grab_focus ()
void | e_canvas_item_request_reflow ()
void | e_canvas_item_request_parent_reflow ()
void | (*ECanvasItemReflowFunc) ()
void | e_canvas_item_set_reflow_callback ()
void | (*ECanvasItemGrabCancelled) ()
gint | e_canvas_item_grab ()
void | e_canvas_item_ungrab ()

## Signals

void | reflow | Run Last

## Types and Values

| ECanvasSelectionInfo
struct | ECanvas

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkLayout
                        ╰── GnomeCanvas
                            ╰── ECanvas
                                ╰── ECalendar

## Implemented Interfaces

ECanvas implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

## Functions

### ECanvasItemSelectionFunc ()

    void
    (*ECanvasItemSelectionFunc) (GnomeCanvasItem *item,
                                 gint flags,
                                 gpointer user_data);

### e_canvas_new ()

    GtkWidget *
    e_canvas_new (void);

### e_canvas_item_grab_focus ()

    void
    e_canvas_item_grab_focus (GnomeCanvasItem *item,
                              gboolean widget_too);

Makes the specified item take the keyboard focus, so all keyboard events will be sent to it. If the canvas widget itself did not have the focus and `widget_too` is `TRUE`, it grabs that focus as well.

#### Parameters

item | A canvas item. |
widget_too | Whether or not to grab the widget-level focus too |

### e_canvas_item_request_reflow ()

    void
    e_canvas_item_request_reflow (GnomeCanvasItem *item);

### e_canvas_item_request_parent_reflow ()

    void
    e_canvas_item_request_parent_reflow (GnomeCanvasItem *item);

### ECanvasItemReflowFunc ()

    void
    (*ECanvasItemReflowFunc) (GnomeCanvasItem *item,
                              gint flags);

### e_canvas_item_set_reflow_callback ()

    void
    e_canvas_item_set_reflow_callback (GnomeCanvasItem *item,
                                       ECanvasItemReflowFunc func);

### ECanvasItemGrabCancelled ()

    void
    (*ECanvasItemGrabCancelled) (ECanvas *canvas,
                                 GnomeCanvasItem *item,
                                 gpointer data);

### e_canvas_item_grab ()

    gint
    e_canvas_item_grab (ECanvas *canvas,
                        GnomeCanvasItem *item,
                        guint event_mask,
                        GdkCursor *cursor,
                        GdkDevice *device,
                        guint32 etime,
                        ECanvasItemGrabCancelled cancelled,
                        gpointer cancelled_data);

### e_canvas_item_ungrab ()

    void
    e_canvas_item_ungrab (ECanvas *canvas,
                          GnomeCanvasItem *item,
                          guint32 etime);

## Types and Values

### ECanvasSelectionInfo

    typedef struct {
    	GnomeCanvasItem *item;
    	gpointer         id;
    } ECanvasSelectionInfo;

### struct ECanvas

    struct ECanvas;

## Signal Details

### The `“reflow”` signal

    void
    user_function (ECanvas *ecanvas,
                   gpointer user_data)

Flags: Run Last